Summary: HTML to PDF/Image generation application
Summary(ja): HTMLからPDFまたは画像を生成するアプリケーション
Name: wkhtmltopdf
Version: 0.12.2.1
Release: 1%{?_dist_release}
License: GPLv3
Group: System Environment/Libraries
Url: http://wkhtmltopdf.org/

Source0: wkhtmltopdf-%{version}.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: qt4-devel

%description
Simple utility to convert html to pdf or image using the webkit 
rendering engine, and QT.
This package includes following command.
- wkhtmltopdf
- wkhtmltoimage

%package devel
Summary: Development files for wkhtmltopdf
Summary(ja): wkhtmltopdf の開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for wkhtmltox.


%prep
%setup -q -n %{name}-%{version}

# libdir handling.. better handling needed
sed -i.lib -e \
        '/INSTALLBASE/s|lib|%{_lib}|' \
        src/lib/lib.pro

# Remove BOM
sed -i.bom -e 's|\xEF\xBB\xBF||' AUTHORS
touch -r AUTHORS{.bom,}
rm -f AUTHORS.bom

%build

%{_qt4_qmake}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}/%{_prefix}

# remove unneeded scripts
rm -rf scripts/test*


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc    AUTHORS
%doc    COPYING
%doc    CHANGELOG.md
%doc    CHANGELOG-OLD
%doc    README.md
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/wkhtmltoimage.1*
%{_mandir}/man1/wkhtmltopdf.1*

%files devel
%doc examples
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sat Aug 29 2015 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.12.2.1-1
- new upstream release.

* Mon Dec 10 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.0-0.rc1
- initial build for Vine Linux

